import uuid
from typing import Annotated

from fastapi import APIRouter, Body, Path

from app.schemas.user_schemas import UserRegister


router = APIRouter(
    prefix="/user",
    tags=["Shop-Users"]
)


@router.delete("/delete", summary="Delete user")
async def delete_user(shop_uuid=Annotated[uuid.UUID, Path(title="UUID of the shop")]):
    raise NotImplementedError("delete_user() needs to be implemented.")


@router.delete("/logout", summary="User logout")
async def logout():
    raise NotImplementedError("logout() needs to be implemented.")


@router.post("/register", summary="Register new user")
async def register(user_data: UserRegister):
    raise NotImplementedError()


@router.put("/update", summary="Update user details")
async def update_user(data: dict = Body(...)):
    raise NotImplementedError("update_user() needs to be implemented.")
