from fastapi import APIRouter, Body

from app.schemas.user_schemas import UserRegister

from app.api.dependencies import SessionDep
from app.crud import user_crud

router = APIRouter(
    prefix="/user",
    tags=["User"]
)


@router.delete("/delete", summary="Delete user")
async def delete_user():
    raise NotImplementedError("delete_user() needs to be implemented.")


@router.delete("/logout", summary="User logout")
async def logout():
    raise NotImplementedError("logout() needs to be implemented.")


@router.post("/register", summary="Register new user")
async def register(session: SessionDep, user_data: UserRegister):
    try:
        user_crud.create_user(session, user_data)
        return {"message": "User registered successfully"}
    except BaseException:
        return {"message": "An error occurred"}


@router.put("/update", summary="Update user details")
async def update_user(data: dict = Body(...)):
    raise NotImplementedError("update_user() needs to be implemented.")
